Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.discrete.inhomogeneous.parameters
Class BayesianNetworkTrainSMParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet<T>
              de.jstacs.parameters.SequenceScoringParameterSet<T>
                  de.jstacs.sequenceScores.statisticalModels.trainable.discrete.DGTrainSMParameterSet
                      de.jstacs.sequenceScores.statisticalModels.trainable.discrete.inhomogeneous.parameters.IDGTrainSMParameterSet
                          de.jstacs.sequenceScores.statisticalModels.trainable.discrete.inhomogeneous.parameters.BayesianNetworkTrainSMParameterSet

All Implemented Interfaces:
  GalaxyConvertible, Storable, Cloneable

    public class BayesianNetworkTrainSMParameterSet

extends IDGTrainSMParameterSet

The `ParameterSet` for the class `BayesianNetworkTrainSM`.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`alphabet, length`

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent`

Constructor Summary
`BayesianNetworkTrainSMParameterSet()` The simple constructor for an empty `BayesianNetworkTrainSMParameterSet` for a `BayesianNetworkTrainSM`.
`BayesianNetworkTrainSMParameterSet(AlphabetContainer alphabet, int length, double ess, String description, StructureLearner.ModelType model, byte order, StructureLearner.LearningType method)` This is the constructor of a filled `BayesianNetworkTrainSMParameterSet` for a `BayesianNetworkTrainSM`.
`BayesianNetworkTrainSMParameterSet(StringBuffer s)` The standard constructor for the interface `Storable`.

Method Summary
`String` | `getInstanceComment()` Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.
`String` | `getModelInstanceName()` This method returns a short description of the model.
`void` | `setModelType(String modelType)` This method allows a simple change of the model type.

Methods inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.discrete.inhomogeneous.parameters.IDGTrainSMParameterSet
`getModelInstanceName`

Methods inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.discrete.DGTrainSMParameterSet
`clone, getInstanceName, hasDefaultOrIsSet, setEss`

Methods inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`equals, fromXML, getAlphabetContainer, getLength, getNumberOfParameters, getParameterAt, reset, toXML`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`getInstance, getInstanceClass`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getAllParameterNames, getComment, getComment, getErrorMessage, getIndex, getName, getName, getParameterForName, getParent, initParameterList, initParameterList, isAtomic, isComparable, parametersLoaded, setParent, toGalaxy`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BayesianNetworkTrainSMParameterSet

    public BayesianNetworkTrainSMParameterSet(StringBuffer s)
                                       throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `BayesianNetworkTrainSMParameterSet` out of its XML representation.

  Parameters:
    `s` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `BayesianNetworkTrainSMParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` could not be parsed)
  See Also:
    `Storable`, `IDGTrainSMParameterSet.IDGTrainSMParameterSet(StringBuffer)`

### BayesianNetworkTrainSMParameterSet

    public BayesianNetworkTrainSMParameterSet()

  The simple constructor for an empty `BayesianNetworkTrainSMParameterSet` for a `BayesianNetworkTrainSM`.

  See Also:
    `IDGTrainSMParameterSet.IDGTrainSMParameterSet(Class)`

### BayesianNetworkTrainSMParameterSet

    public BayesianNetworkTrainSMParameterSet(AlphabetContainer alphabet,
                                              int length,
                                              double ess,
                                              String description,
                                              StructureLearner.ModelType model,
                                              byte order,
                                              StructureLearner.LearningType method)
                                       throws Exception

  This is the constructor of a filled `BayesianNetworkTrainSMParameterSet` for a `BayesianNetworkTrainSM`.

  Parameters:
    `alphabet` - the `AlphabetContainer` that is used in the model
    `length` - the length of the model (has to be positive)
    `ess` - the ess (equivalent sample size) of the model (has to be positive)
    `description` - a short description of the model (for a better handling of the object by the user)
    `model` - the type of model: IMM, PMM or BN
    `order` - the order of the model
    `method` - the method how to learn the structure (only relevant for PMM, BN): ML_OR_MAP or BMA
  Throws:
    `Exception` - if something went wrong
  See Also:
    `StructureLearner.ModelType`, `StructureLearner.ModelType.IMM`, `StructureLearner.ModelType.PMM`, `StructureLearner.ModelType.BN`, `StructureLearner.LearningType`, `StructureLearner.LearningType.ML_OR_MAP`, `StructureLearner.LearningType.BMA`, `IDGTrainSMParameterSet.IDGTrainSMParameterSet(Class, AlphabetContainer, int, double, String)`

Method Detail

### setModelType

    public void setModelType(String modelType)
                      throws SimpleParameter.IllegalValueException

  This method allows a simple change of the model type.

  Parameters:
    `modelType` - the type of the model, one of "iMM", "pMM" or "BN"
  Throws:
    `SimpleParameter.IllegalValueException` - if the `modelType` is illegal

### getInstanceComment

    public String getInstanceComment()

  Description copied from class: `InstanceParameterSet`
  Returns a comment (a textual description) of the class that can be constructed using this `ParameterSet`.

  Specified by:
    `getInstanceComment` in class `InstanceParameterSet`
  Returns:
    the comment of the class

### getModelInstanceName

    public String getModelInstanceName()

  This method returns a short description of the model.

  Returns:
    a short description of the model

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD